Bug 500251 - Pre-Review Request: dumbster - Fake SMTP Server
Pre-Review Request: dumbster - Fake SMTP Server
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Andrew Overholt
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 429551
  Show dependency treegraph
 
Reported: 2009-05-11 18:05 EDT by Fernando Nasser
Modified: 2009-08-20 13:21 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-20 13:21:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
overholt: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Fernando Nasser 2009-05-11 18:05:20 EDT
Package needed for Maven 2.0.8

Spec URL: http://people.fedoraproject.org/~fnasser/dumbster.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/dumbster-1.6-6.jpp6.src.rpm

Description: 
The Dumbster is a very simple fake SMTP server designed for
unit and system testing applications that send email messages.
It responds to all standard SMTP commands but does not deliver
messages to the user. The messages are stored within the
Dumbster for later extraction and verification.
Comment 1 Andrew Overholt 2009-05-14 10:55:00 EDT
- trying to reproduce the source tarball, I get:

$ cvs -z3 -d:pserver:anonymous@dumbster.cvs.sourceforge.net:/cvsroot/dumbster co -P dumbster
Unknown host dumbster.cvs.sourceforge.net.

- the license field should be "ASL 2.0"
- there's no URL for the .pom file

Could we maybe use the zip they provide since it has source in it?
Comment 2 Jerry James 2009-05-14 10:59:39 EDT
The CVS checkout works for me.  Perhaps there was a temporary DNS problem?
Comment 3 Andrew Overholt 2009-05-14 11:07:16 EDT
Weird, it does work now.  Thanks, Jerry.

So I can generate a source tarball.  The md5sums are different and there are some differences in the contents.  It looks like all of the differences are in CVS directories.  We could skirt this issue by using "cvs export" instead of "cvs co".  I don't think there is an issue here, though.

Remaining issuse:

- fix license field
- add URL for .pom file (if possible)
Comment 4 Andrew Overholt 2009-05-15 10:31:01 EDT
After spot's comments on another bug about .pom files being exempt from licensing due to their simplicity, I think the only thing necessary is the license change.
Comment 5 Fernando Nasser 2009-05-17 23:30:18 EDT
Fixed license.

Changed spec file so that it uses export from the RELEASE_1_6 tag.
Replaced the source tar ball with that.

Spec URL: http://people.fedoraproject.org/~fnasser/dumbster.spec

SRPM URL: http://people.fedoraproject.org/~fnasser/dumbster-1.6-7.jpp6.src.rpm
Comment 6 Andrew Overholt 2009-05-19 09:13:40 EDT
Odd that I get this the first time I try it:

$ cvs -z3 -d:pserver:anonymous@dumbster.cvs.sourceforge.net:/cvsroot/dumbster export -r RELEASE_1_6 dumbster
Unknown host dumbster.cvs.sourceforge.net.

Yet the second time works.

There are no differences between my checkout and the contents of SOURCE0.  The license field is good.  Thanks.  Approved.
Comment 7 Fernando Nasser 2009-05-20 16:25:23 EDT
New Package CVS Request
=======================
Package Name: dumbster
Short Description: Fake SMTP Server
Owners: fnasser, dbhole
Branches: devel
InitialCC: jkeating
Comment 8 Kevin Fenzi 2009-05-21 19:48:07 EDT
cvs done.
Comment 9 Alexander Kurtakov 2009-08-20 13:21:55 EDT
Build in rawhide.
http://koji.fedoraproject.org/koji/buildinfo?buildID=128103

Note You need to log in before you can comment on or make changes to this bug.